{% extends 'base.html.twig' %}

{% block title %}Article {% endblock %}

{% block body %}

<div class="col-md-12">
<div class="row">
    <div class="alert alert-success alert-dismissible fade show" role="alert" style="display:none">
        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
        <strong></strong> 
      </div>
      
      <script>
        $(".alert").alert();
      </script>
<div class="card">
    <div class="card-body">
        <div class="col-12 card">
      <h5 class="card-title" data-id="{{product.id}}" data-name="{{product.name}}">{{ product.name | upper }}</h5>
      <h6 class="card-text"><strong>{{ product.price }}€</strong></h6>

            <p class="card-text">
                    {{ product.description}} 
        </p>
      <p class="card-text">{{ product.createdAt | date("m/d/Y") }}</p>
      <input type="button" name="add" class="btn btn-primary cart" value="Ajouter au panier" id="addPanier">
      <a href="/product"><button type="button" class="btn btn-secondary">Retour</button></a>
    </div>
  </div>
</div>
</div>
</div>
{% block javascripts %}
<script>
const id = document.querySelector("h5").getAttribute("data-id");
const name = document.querySelector("h5").getAttribute("data-name");
const panier = document.querySelector("#addPanier");
const url = `/panier/add/${id}`;
const alert = document.querySelector('.alert');
panier.addEventListener("click", () => {
panier.disabled = true;
fetch(url)
    .then(res => res.json())
    .then(res => {
        alert.style.display = 'block';
        alert.textContent = 'Le produit ${name} a bien été ajouté au panier.';
    })
});
</script>
{% endblock %}
{% endblock %}

